apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
  namespace: __CI_ENVIRONMENT_SLUG__
  annotations:
    # letsencrypt support enabled (github.com/jetstack/kube-lego)
    kubernetes.io/tls-acme: "true"
    # use the Kubernetes ingress "nginx"
    kubernetes.io/ingress.class: "nginx-internal"
    nginx.ingress.kubernetes.io/use-regex: "true"
spec:
  tls:
    - hosts:
      - __CI_ENVIRONMENT_SLUG__-internal.lendingkart.com
      - __K8S_I_ROUTE__
      - __S_S_ROUTE__
      secretName: tls-certificate
  rules:
   - host: __CI_ENVIRONMENT_SLUG__-internal.lendingkart.com
     http:
       paths:
       - path: /__MANAGEMENT_URL_PATTERN__/actuator/
         pathType: Prefix
         backend:
           service:
             name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
             port:
               number: __MANAGEMENT_PORT__
       - path: /__URL_PATTERN__/
         pathType: Prefix
         backend:
           service:
             name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
             port:
               number: 80
   - host: __K8S_I_ROUTE__
     http:
       paths:
       - path: /__MANAGEMENT_URL_PATTERN__/actuator/
         pathType: Prefix
         backend:
           service:
             name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
             port:
               number: __MANAGEMENT_PORT__
       - path: /__URL_PATTERN__/
         pathType: Prefix
         backend:
           service:
             name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
             port:
               number: 80
   - host: __S_S_ROUTE__
     http:
       paths:
       - path: /__MANAGEMENT_URL_PATTERN__/actuator/
         pathType: Prefix
         backend:
           service:
             name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
             port:
               number: __MANAGEMENT_PORT__
       - path: /__URL_PATTERN__/
         pathType: Prefix
         backend:
           service:
             name: __CI_ENVIRONMENT_SLUG__-__PROJECT_NAME__
             port:
               number: 80
